# -*- coding: utf-8 -*-
# vi:si:et:sw=4:sts=4:ts=4

from django.core.management.base import BaseCommand, CommandError
from django.conf import settings

import lookup.cache
import poster.models
from datetime import datetime

class Command(BaseCommand):
    """
    load new ids into cache
    """
    help = 'load ids from sites that dont support search.'
    args = ''

    def handle(self, **options):
        import poster.models 
        before_import = datetime.now()
        lookup.cache.get_ids()
        for p in poster.models.PosterCache.objects.filter(image='', failed=False, created__gt=before_import):
            print p.url.encode('utf-8')
            p.get()


