# -*- coding: utf-8 -*-
# vi:si:et:sw=4:sts=4:ts=4
from __future__ import division, print_function, absolute_import

from oxdjango.shortcuts import render_to_json_response

from lookup.views import get_movie_id

from . import models


def poster(request):
    movie_id = get_movie_id(request)
    json = models.getPosters(movie_id, request.build_absolute_uri('/'))
    return render_to_json_response(json)

def still(request):
    movie_id = get_movie_id(request)
    json = models.getPosters(movie_id, request.build_absolute_uri('/'), limit=lambda x, y: x>y)
    return render_to_json_response(json)

