# -*- coding: utf-8 -*-
# vi:si:et:sw=4:sts=4:ts=4

from django.core.management.base import BaseCommand

import movie.models

class Command(BaseCommand):
    """
    load new ids into cache
    """
    help = 'load ids from sites that dont support search.'
    args = ''

    def handle(self, **options):
        timeout = 30*24*60*60
        movie.models.get_new_ids(timeout)
