# -*- coding: utf-8 -*-
# vi:si:et:sw=4:sts=4:ts=4
from __future__ import division, print_function, absolute_import

from datetime import timedelta

from celery.decorators import task, periodic_task

from lookup.models import get_movie_id

from . import models


'''
@periodic_task(run_every=timedelta(days=1))
def cronjob(**kwargs):
    print "do some cleanup stuff once a day"
'''

@task(ignore_resulsts=True, queue='default')
def getMovieposteredb(imdb_id):
    m = get_movie_id(imdb_id)
    site = 'movieposterdb.com'

    for url in ox.web.movieposterdb.get_data(imdb_id)['posters']:
        if PosterCache.objects.all().filter(url=url, movie_id=m).count() == 0:
            p = PosterCache(url=url, site=site, site_id=site_id, movie_id=m)
            p.save()
